Extlib 09 & Relational Feature [solved]

Wednesday, September 10, 2014 1:04 PM UTC

I am confused: since I updated to Extlib 9.0.1.09 I have problems with the relational features. I think the server library is missing - or I just did not find it.

What I have so far

An update site with the new features

My application must use the com.ibm.xsp.extlib.relational.library. If I deactivate it I get errors in my page when accessing JDBC-related elements (e.g. as data source).

When I access the database on my server I get the exception

Which is quite obvious because the lib cannot be found on the server

Any ideas what is wrong here?

Thanks for your help! Lächelnd

Solution

It was simple: Christian's comment said it already: I had the old 8.5.3 stuff in the updatesite - until now it does no harm. With rev. 09 of the Extlib the realtional stuff is packaged within the Extlib itself and not in a separate package. The server loaded both - and used the wrong one. So I removed the old stuff, restarted the HTTP task - and viola! Hello, RDBMS support!

The server messages should look like this





Latest comments to this post

Dwain Wuerfel wrote on 16.11.2017, 15:08

We are using v9.01FP7 and our XPages application works perfectly fine via browser, but when having to make changes designer is saying the 'com.ibm.xsp.extlib.relational.library' is missing.  In fact when I goto Help and check the plug-ins I don't see this library installed; however, I have installed the 9.0.1 updateSiteOpenNTF-designer.zip plug-in which I can see includes 'com.ibm.xsp.extlib.relational_9.0.1v00_11_20141217-1000.jar.

It is my understanding that the 'com.ibm.xsp.extlib.relational.library' is part of the core ExtLib install for designer so I don't understand why this error would be occurring.

Do you have any issues locally?

 

Thanks,

Dwain Wuerfel

 Link to this comment
Oliver Busse wrote on 10.09.2014, 21:28

Christian, I had a prior feature enabled for 8.5.3. I use the same updatesite for client and server - maybe this is not recommended. This is the only updatesite I use.

 Link to this comment
Christian Güdemann wrote on 10.09.2014, 21:25

Where did your com.ibm.xsp.extlibx.relational_8.5.3...... came from? Are there other updatesites in place or did you have ever installed an ExtLibX on the file system? And why do you also run the designer part of the ExtLib on the server? I wouldn't do it.

 Link to this comment

Leave a comment right here